Subject: [PATCH rdma-next 0/3] Fixes to set_netdev/get_netdev flow

From: Leon Romanovsky <[email-masked]>
Date: Thu, 31 Oct 2024 15:36:49 +0200

This series fixes the set_netdev/get_netdev flow in mlx5 drive around LAG.

Thanks

Chiara Meiohas (3):
  RDMA/mlx5: Call dev_put() after the blocking notifier
  RDMA/core: Implement RoCE GID port rescan and export delete function
  RDMA/mlx5: Ensure active slave attachment to the bond IB device

 drivers/infiniband/core/roce_gid_mgmt.c       | 30 ++++++++++++++++---
 drivers/infiniband/hw/mlx5/main.c             | 29 +++++++++++-------
 .../net/ethernet/mellanox/mlx5/core/lag/lag.c | 12 ++++++++
 include/rdma/ib_verbs.h                       |  3 ++
 4 files changed, 59 insertions(+), 15 deletions(-)

-- 
2.46.2